net.sf.jasperreports.export

## Interface CommonExportConfiguration

- All Known Subinterfaces:
    CsvExporterConfiguration, CsvMetadataExporterConfiguration, CsvMetadataReportConfiguration, CsvReportConfiguration, DocxExporterConfiguration, DocxReportConfiguration, ExporterConfiguration, Graphics2DExporterConfiguration, Graphics2DReportConfiguration, HtmlExporterConfiguration, HtmlReportConfiguration, JRHtmlExporterConfiguration, JRHtmlReportConfiguration, JsonExporterConfiguration, JsonReportConfiguration, JxlExporterConfiguration, JxlMetadataExporterConfiguration, JxlMetadataReportConfiguration, JxlReportConfiguration, OdsExporterConfiguration, OdsReportConfiguration, OdtExporterConfiguration, OdtReportConfiguration, PdfExporterConfiguration, PdfReportConfiguration, PptxExporterConfiguration, PptxReportConfiguration, PrintServiceExporterConfiguration, PrintServiceReportConfiguration, ReportExportConfiguration, RtfExporterConfiguration, RtfReportConfiguration, TextExporterConfiguration, TextReportConfiguration, XlsExporterConfiguration, XlsMetadataExporterConfiguration, XlsMetadataReportConfiguration, XlsReportConfiguration, XlsxExporterConfiguration, XlsxReportConfiguration
  All Known Implementing Classes:
    AbstractXlsExporterConfiguration, AbstractXlsReportConfiguration, SimpleCommonExportConfiguration, SimpleCsvExporterConfiguration, SimpleCsvMetadataExporterConfiguration, SimpleCsvMetadataReportConfiguration, SimpleCsvReportConfiguration, SimpleDocxExporterConfiguration, SimpleDocxReportConfiguration, SimpleExporterConfiguration, SimpleGraphics2DExporterConfiguration, SimpleGraphics2DReportConfiguration, SimpleHtmlExporterConfiguration, SimpleHtmlReportConfiguration, SimpleJsonExporterConfiguration, SimpleJsonReportConfiguration, SimpleJxlExporterConfiguration, SimpleJxlMetadataExporterConfiguration, SimpleJxlMetadataReportConfiguration, SimpleJxlReportConfiguration, SimpleOdsExporterConfiguration, SimpleOdsReportConfiguration, SimpleOdtExporterConfiguration, SimpleOdtReportConfiguration, SimplePdfExporterConfiguration, SimplePdfReportConfiguration, SimplePptxExporterConfiguration, SimplePptxReportConfiguration, SimplePrintServiceExporterConfiguration, SimplePrintServiceReportConfiguration, SimpleReportExportConfiguration, SimpleRtfExporterConfiguration, SimpleRtfReportConfiguration, SimpleTextExporterConfiguration, SimpleTextReportConfiguration, SimpleXlsExporterConfiguration, SimpleXlsMetadataExporterConfiguration, SimpleXlsMetadataReportConfiguration, SimpleXlsReportConfiguration, SimpleXlsxExporterConfiguration, SimpleXlsxReportConfiguration

      public interface CommonExportConfiguration

  Version:
    $Id: ExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS` A global (per context) property that serves as default value for the `isOverrideHints()` setting and establishes the priority of export configuration settings against report hints.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isOverrideHints()` Specifies whether the settings provided by this exporter configuration object are supposed to override the equivalent exporter hints specified in the reports themselves using configuration properties.

- - ### Field Detail

    - #### PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS

          static final java.lang.String PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS

      A global (per context) property that serves as default value for the `isOverrideHints()` setting and establishes the priority of export configuration settings against report hints. If the property is true, export configuration settings override report hints; this is the default behavior. This property cannot be used as a report export hint.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isOverrideHints

          java.lang.Boolean isOverrideHints()

      Specifies whether the settings provided by this exporter configuration object are supposed to override the equivalent exporter hints specified in the reports themselves using configuration properties.
      See Also:
        `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com